{
    "configurations": [
        {
            "name": "macOS",
            "includePath": [
                "${workspaceFolder}/source",
                "${workspaceFolder}/source/external",
                "${env:HOMEBREW_PREFIX}/include",
                "/opt/homebrew/include"
            ],
            "defines": [
                "MACOS_BUILD"
            ],
            "macFrameworkPath": [
                "/System/Library/Frameworks",
                "/Library/Frameworks"
            ],
            "compilerPath": "/usr/bin/clang++",
            "cStandard": "c17",
            "cppStandard": "c++20",
            "intelliSenseMode": "macos-clang-arm64"
        },
        {
            "name": "Linux",
            "includePath": [
                "${workspaceFolder}/source",
                "${workspaceFolder}/source/external",
                "/usr/include",
                "/usr/local/include"
            ],
            "defines": [
                "LINUX_BUILD"
            ],
            "compilerPath": "/usr/bin/g++",
            "cStandard": "c17",
            "cppStandard": "c++20",
            "intelliSenseMode": "linux-gcc-x64"
        },
        {
            "name": "Win32",
            "includePath": [
                "${workspaceFolder}/source",
                "${workspaceFolder}/source/external",
                "C:/mingw64/include"
            ],
            "defines": [
                "WINDOWS_BUILD",
                "_WIN32"
            ],
            "compilerPath": "C:/msys64/mingw64/bin/g++.exe",
            "cStandard": "c17",
            "cppStandard": "c++20",
            "intelliSenseMode": "windows-gcc-x64"
        }
    ],
    "version": 4
}
